#include <math.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

//MAC
#include "SDL.h"
#define IMAGE_PASS "AlphaColor.app/Contents/Resources/alphaImg.bmp"	//画像のパス

/*WIN
#include "SDL/SDL.h"
#define IMAGE_PASS "alphaImg.bmp"	//画像のパス
#pragma comment(lib, "SDL.lib")
#pragma comment(lib, "SDLmain.lib")	*/

SDL_Surface *mWIN;	//ウィンドウ用
SDL_Surface *img;		//画像用

//______________________________________________________________________________ メイン関数
int main(int argc, char *argv[])
{
//初期化
if(SDL_Init(SDL_INIT_VIDEO)==-1)	SDL_Quit();

//ウィンドウ作成
mWIN=SDL_SetVideoMode(320,240,32,SDL_SWSURFACE);
SDL_WM_SetCaption("AlphaColor",NULL);

//画像の読み込み
img = SDL_LoadBMP(	IMAGE_PASS	);
if(	!img	)	SDL_Quit();

//指定色を透過 R:000, G:000, B:255 を抜く
SDL_SetColorKey(img,	SDL_SRCCOLORKEY,	SDL_MapRGB(img->format,0,0,255)	);

//バック地（薄いグレー）を描画
SDL_FillRect(mWIN,NULL,SDL_MapRGB(mWIN->format,224,224,224));

//画像の描画
SDL_BlitSurface( img, NULL, mWIN, NULL );//描画

//画面更新して、５秒経ったら終了
SDL_Flip(mWIN);
SDL_Delay(5000);
SDL_Quit();
return 0;
}
